Bug 249181 - devel/libunwind: fix build on powerpc64
Summary: devel/libunwind: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-07 21:12 UTC by Piotr Kubaj
Modified: 2020-09-09 20:41 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch (29.02 KB, patch)
2020-09-07 21:12 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-09-07 21:12:30 UTC
Created attachment 217809 [details]
patch

Codeveloped with Brandon Bergen (bdragon@).

This patch fixes build on powerpc64, adding necessary code variants for FreeBSD, where necessary. Apart from that, FreeBSD installs libs to lib, not lib64.

Also coredump support seems to be disabled for ppc64, so adjust Makefile for that. Since C11 atomic features are necessary, add USES=compiler:c11.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-08 18:12:21 UTC
I made minor changes to patch configure directly (skipping USES=autoreconf).
https://people.FreeBSD.org/~sunpoet/patch/pr-249181.txt

BTW, do you have any plan to submit the patch to upstream?
Comment 2 Piotr Kubaj freebsd_committer 2020-09-08 18:16:06 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #1)
Yes, once it's committed here, I'll send it upstream.
Comment 3 commit-hook freebsd_committer 2020-09-09 20:40:48 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Sep  9 20:40:09 UTC 2020
New revision: 548157
URL: https://svnweb.freebsd.org/changeset/ports/548157

Log:
  Fix build on powerpc64

  PR:		249181
  Submitted by:	pkubaj

Changes:
  head/devel/libunwind/Makefile
  head/devel/libunwind/files/patch-powerpc64
  head/devel/libunwind/pkg-plist
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-09-09 20:41:38 UTC
Committed. Thanks!